Description

Unless you type the name of a US state or a country name in the text box next to Place Name, it does not work.  The behavior differs

by browser from either absolutely nothing happens or the search interface changes to just a text box.  If you

can't enter place names, then either update the caption to indicate that it only works for US states or country names

or remove it entirely.  My vote is for removing it entirely.

History

#1 - 2012-07-30 20:13 - Skye Roseboom

- Status changed from New to In Progress

- Target version set to Sprint-2012.29-Block.4.3

- Milestone changed from None to CCI-1.4

I confirm that the Place Name search only work for US States and Country names.  Not sure why, but that was the scope of the original feature.  

This feature is somewhat redundant with the place name drop down that render to the right of the map display.  Removing the 'place name' search

feature as it exists does not remove any functionality that is not present/available from the place name drop downs.

A big reason why this feature is hard to use is its interaction design.  There is no feedback to users regarding spelling mistakes or suggestions when

there are more than one match on the search term.   For example, if a user enters "Paris" - this could the city in France or the city in Texas, etc.   The

current UI does not support this type of interaction/feedback at all.   In my mind this feature needs/must support this type of feedback to be useful for

users.

I am going to investigate using v3 of the google maps api to see if there is a simple solution for this issue.  (Originally coded against v2 google maps

api).  However as stated above, since this feature does not currently add value over the place name drop downs - removing this feature in the short

term may be easiest/best solution.  Until we are prepared to fully implement and design an interactive search feature as described above.

#2 - 2012-08-10 14:26 - Skye Roseboom

- Status changed from In Progress to Testing

- Milestone changed from CCI-1.4 to CCI-1.0.3

I have removed Place Name for the 1.03 patch release after testing on trunk.  Small, low risk change.

I will create a new issue to capture the work to flesh this feature out better.  A text input that autocompleted/suggested place names and created a

bounding box would probably be able to replace the static drop downs and the place name feature into one UI feature.  :)
#3 - 2012-08-16 21:51 - Dave Vieglais

- Status changed from Testing to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-26 2/2

http://www.tcpdf.org

